import { createSlice } from '@reduxjs/toolkit';

export interface SettingsState {
  default?: boolean;
  user: {
    pseudo: string;
  };
  geolocation: {
    minTimeInterval: number;
    minDistance: number;
  };
}

export const initialSettingsState: SettingsState = {
  default: true,
  user: {
    pseudo: 'user',
  },
  geolocation: {
    minTimeInterval: 15000,
    minDistance: 10,
  },
};

const settingsSlice = createSlice({
  name: 'settings',
  initialState: initialSettingsState,
  reducers: {
    saveSettings: (state, action) => {
      return action.payload;
    },
  },
});

export const settingsActions = settingsSlice.actions;

export default settingsSlice.reducer;
